<!doctype html>
<html class="no-js" lang="fr">
  <head><meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width,initial-scale=1"/>
    <meta name="color-scheme" content="light dark"><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />
<link rel="index" title="Index" href="genindex.html" /><link rel="search" title="Recherche" href="search.html" /><link rel="prev" title="Application ISA" href="dev_isa.html" />

    <link rel="shortcut icon" href="_static/logo.png"/><!-- Generated with Sphinx 6.1.3 and Furo 2022.12.07 -->
        <title>Gestion de la documentation - Documentation Metark alpha</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/styles/furo.css?digest=91d0f0d1c444bdcb17a68e833c7a53903343c195" />
    <link rel="stylesheet" type="text/css" href="_static/styles/furo-extensions.css?digest=30d1aed668e5c3a91c3e3bf6a60b675221979f0e" />
    
    


<style>
  body {
    --color-code-background: #f8f8f8;
  --color-code-foreground: black;
  
  }
  @media not print {
    body[data-theme="dark"] {
      --color-code-background: #202020;
  --color-code-foreground: #d0d0d0;
  
    }
    @media (prefers-color-scheme: dark) {
      body:not([data-theme="light"]) {
        --color-code-background: #202020;
  --color-code-foreground: #d0d0d0;
  
      }
    }
  }
</style></head>
  <body>
    
    <script>
      document.body.dataset.theme = localStorage.getItem("theme") || "auto";
    </script>
    

<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
  <symbol id="svg-toc" viewBox="0 0 24 24">
    <title>Contents</title>
    <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 1024 1024">
      <path d="M408 442h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-8 204c0 4.4 3.6 8 8 8h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56zm504-486H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 632H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM115.4 518.9L271.7 642c5.8 4.6 14.4.5 14.4-6.9V388.9c0-7.4-8.5-11.5-14.4-6.9L115.4 505.1a8.74 8.74 0 0 0 0 13.8z"/>
    </svg>
  </symbol>
  <symbol id="svg-menu" viewBox="0 0 24 24">
    <title>Menu</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather-menu">
      <line x1="3" y1="12" x2="21" y2="12"></line>
      <line x1="3" y1="6" x2="21" y2="6"></line>
      <line x1="3" y1="18" x2="21" y2="18"></line>
    </svg>
  </symbol>
  <symbol id="svg-arrow-right" viewBox="0 0 24 24">
    <title>Expand</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather-chevron-right">
      <polyline points="9 18 15 12 9 6"></polyline>
    </svg>
  </symbol>
  <symbol id="svg-sun" viewBox="0 0 24 24">
    <title>Light mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather-sun">
      <circle cx="12" cy="12" r="5"></circle>
      <line x1="12" y1="1" x2="12" y2="3"></line>
      <line x1="12" y1="21" x2="12" y2="23"></line>
      <line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line>
      <line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line>
      <line x1="1" y1="12" x2="3" y2="12"></line>
      <line x1="21" y1="12" x2="23" y2="12"></line>
      <line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line>
      <line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line>
    </svg>
  </symbol>
  <symbol id="svg-moon" viewBox="0 0 24 24">
    <title>Dark mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="icon-tabler-moon">
      <path stroke="none" d="M0 0h24v24H0z" fill="none" />
      <path d="M12 3c.132 0 .263 0 .393 0a7.5 7.5 0 0 0 7.92 12.446a9 9 0 1 1 -8.313 -12.454z" />
    </svg>
  </symbol>
  <symbol id="svg-sun-half" viewBox="0 0 24 24">
    <title>Auto light/dark mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="icon-tabler-shadow">
      <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
      <circle cx="12" cy="12" r="9" />
      <path d="M13 12h5" />
      <path d="M13 15h4" />
      <path d="M13 18h1" />
      <path d="M13 9h4" />
      <path d="M13 6h1" />
    </svg>
  </symbol>
</svg>

<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation">
<input type="checkbox" class="sidebar-toggle" name="__toc" id="__toc">
<label class="overlay sidebar-overlay" for="__navigation">
  <div class="visually-hidden">Hide navigation sidebar</div>
</label>
<label class="overlay toc-overlay" for="__toc">
  <div class="visually-hidden">Hide table of contents sidebar</div>
</label>



<div class="page">
  <header class="mobile-header">
    <div class="header-left">
      <label class="nav-overlay-icon" for="__navigation">
        <div class="visually-hidden">Toggle site navigation sidebar</div>
        <i class="icon"><svg><use href="#svg-menu"></use></svg></i>
      </label>
    </div>
    <div class="header-center">
      <a href="index.html"><div class="brand">Documentation Metark alpha</div></a>
    </div>
    <div class="header-right">
      <div class="theme-toggle-container theme-toggle-header">
        <button class="theme-toggle">
          <div class="visually-hidden">Toggle Light / Dark / Auto color theme</div>
          <svg class="theme-icon-when-auto"><use href="#svg-sun-half"></use></svg>
          <svg class="theme-icon-when-dark"><use href="#svg-moon"></use></svg>
          <svg class="theme-icon-when-light"><use href="#svg-sun"></use></svg>
        </button>
      </div>
      <label class="toc-overlay-icon toc-header-icon" for="__toc">
        <div class="visually-hidden">Toggle table of contents sidebar</div>
        <i class="icon"><svg><use href="#svg-toc"></use></svg></i>
      </label>
    </div>
  </header>
  <aside class="sidebar-drawer">
    <div class="sidebar-container">
      
      <div class="sidebar-sticky"><a class="sidebar-brand" href="index.html">
  
  
  <span class="sidebar-brand-text">Documentation Metark alpha</span>
  
</a><form class="sidebar-search-container" method="get" action="search.html" role="search">
  <input class="sidebar-search" placeholder="Recherche" name="q" aria-label="Recherche">
  <input type="hidden" name="check_keywords" value="yes">
  <input type="hidden" name="area" value="default">
</form>
<div id="searchbox"></div><link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">

<a class="btn btn-primary" href="https://gitlab.com/ifb-elixirfr/fair/metark" role="button" style="margin:10px 5px 0px 5px;">Go back to Metark</a>

<br>
EXPORT

<div class="d-flex justify-content-center" aria-label="Btn export">
    <a class="btn btn-primary" href="_static/pdf/metark.pdf" role="button" style="margin:10px 5px 0px 5px;" target="_blank"><i class="fas fa-file-pdf"></i> PDF</a>
    <a class="btn btn-primary" href="_static/epub/metark.epub" role="button"  style="margin:10px 5px 0px 5px;" target="_blank"><i class="fas fa-book"></i> EPUB</a>
</div>

<br>
NAVIGATION<div class="sidebar-scroll"><div class="sidebar-tree">
  <p class="caption" role="heading"><span class="caption-text">Overview</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="overview_objectifs.html">Objectives</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview_points_forts.html">Strengths of the project</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer's Manual</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="dev_requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_django.html">Django</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_code_quality.html">Code quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_isa.html">Application ISA</a></li>
<li class="toctree-l1 current current-page"><a class="current reference internal" href="#">Gestion de la documentation</a></li>
</ul>

</div>
</div><script src="_static/js/all.min.js"></script>

<p>CONTACT</p>
<p class="fs-6">
   <a href="https://gitlab.com/ifb-elixirfr/fair/metark" target="_blank" style="color:#173b6c">Metark</a> is maintained by <a href="https://gitlab.com/ifb-elixirfr" target="_blank" style="color:#173b6c">IFB-ElixirFr</a>.
</p>
<p class="fs-6">
    Mail to <a href="mailto:mailto:support-metark@groupes.france" style="color:#173b6c">support</a>
</p>

<div class="d-flex flex-row justify-content-center" style="color:#173b6c">
    <div class="p-2"><a href="https://gitlab.com/ifb-elixirfr/" target="_blank" class="linkSocial"><i class="fab fa-gitlab"></i></a></div>
    <div class="p-2"><a href="https://twitter.com/IFB_Bioinfo" target="_blank" class="linkSocial"><i
            class="fab fa-twitter"></i></a></div>
    <div class="p-2"><a
            href="https://www.linkedin.com/company/institut-fran%C3%A7ais-de-bioinformatique/"
            target="_blank" class="linkSocial"><i class="fab fa-linkedin-in"></i></a></div>
    <div class="p-2"><a href="https://www.youtube.com/channel/UC-PWpzAklKLdjxtdHnkoeCw" target="_blank"
                        class="linkSocial"><i class="fab fa-youtube"></i></a></i></div>
</div>
      </div>
      
    </div>
  </aside>
  <div class="main">
    <div class="content">
      <div class="article-container">
        <a href="#" class="back-to-top muted-link">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path d="M13 20h-2V8l-5.5 5.5-1.42-1.42L12 4.16l7.92 7.92-1.42 1.42L13 8v12z"></path>
          </svg>
          <span>Back to top</span>
        </a>
        <div class="content-icon-container">
          
<div class="theme-toggle-container theme-toggle-content">
            <button class="theme-toggle">
              <div class="visually-hidden">Toggle Light / Dark / Auto color theme</div>
              <svg class="theme-icon-when-auto"><use href="#svg-sun-half"></use></svg>
              <svg class="theme-icon-when-dark"><use href="#svg-moon"></use></svg>
              <svg class="theme-icon-when-light"><use href="#svg-sun"></use></svg>
            </button>
          </div>
          <label class="toc-overlay-icon toc-content-icon" for="__toc">
            <div class="visually-hidden">Toggle table of contents sidebar</div>
            <i class="icon"><svg><use href="#svg-toc"></use></svg></i>
          </label>
        </div>
        <article role="main">
          <section id="gestion-de-la-documentation">
<h1>Gestion de la documentation<a class="headerlink" href="#gestion-de-la-documentation" title="Lien permanent vers cette rubrique">#</a></h1>
<p>La documentation a été écrite à l’aide de <a class="reference external" href="https://www.sphinx-doc.org/en/master/">Sphinx</a> .
Les pages de documentation sont écrites en <code class="code docutils literal notranslate"><span class="pre">rst</span></code> ( exemple de <a class="reference external" href="https://github.com/ralsina/rst-cheatsheet/blob/master/rst-cheatsheet.rst">cheatsheet</a>).</p>
<section id="la-page-de-configuration">
<h2>La page de configuration<a class="headerlink" href="#la-page-de-configuration" title="Lien permanent vers cette rubrique">#</a></h2>
<p>La page de configuration <code class="code docutils literal notranslate"><span class="pre">conf.py</span></code> dans le dossier <code class="code docutils literal notranslate"><span class="pre">docs/source/</span></code>
(depuis la racine du projet) contient les informations importantes du projet,
les méthodes de rendu, …</p>
</section>
<section id="la-page-d-index">
<h2>La page d’index<a class="headerlink" href="#la-page-d-index" title="Lien permanent vers cette rubrique">#</a></h2>
<p>La page d’accueil de la documentation <code class="code docutils literal notranslate"><span class="pre">index.rst</span></code> se trouve dans le dossier <code class="code docutils literal notranslate"><span class="pre">docs/source/</span></code>.
Dans cette page, vous pourrez trouver le paramétrage de la table des matières et organiser vos pages.</p>
</section>
<section id="les-pages-de-documentation">
<h2>Les pages de documentation<a class="headerlink" href="#les-pages-de-documentation" title="Lien permanent vers cette rubrique">#</a></h2>
<p>La documentation est composée de 4 parties :</p>
<ul class="simple">
<li><p>La vue générale du projet dont les fichiers commencent par le préfixe <code class="code docutils literal notranslate"><span class="pre">overview</span></code></p></li>
<li><p>Le manuel de l’utilisateur dont les fichiers commencent par le préfixe <code class="code docutils literal notranslate"><span class="pre">user</span></code></p></li>
<li><p>Le manuel de l’administrateur dont les fichiers commencent par le préfixe  <code class="code docutils literal notranslate"><span class="pre">admin</span></code></p></li>
<li><p>Le manuel du développeur dont les fichiers commencent par le préfixe  <code class="code docutils literal notranslate"><span class="pre">dev</span></code></p></li>
</ul>
<p>Chaque page dispose d’un fichier rst (dont le nom est utilisé dans la table des matières du fichier <code class="code docutils literal notranslate"><span class="pre">index.rst</span></code>).</p>
</section>
<section id="generer-les-pages-html">
<h2>Générer les pages HTML<a class="headerlink" href="#generer-les-pages-html" title="Lien permanent vers cette rubrique">#</a></h2>
<div class="admonition warning">
<p class="admonition-title">Avertissement</p>
<p>Docker doit être en train de tourner ainsi que l’application Metark</p>
</div>
<section id="pdf">
<h3>1 - PDF<a class="headerlink" href="#pdf" title="Lien permanent vers cette rubrique">#</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>backend<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make latexpdf &amp;&amp; cp /home/app/web/docs/build/latex/metark.pdf /home/app/web/docs/source/_static/pdf&quot;</span>
</pre></div>
</div>
</section>
<section id="epub">
<h3>2 - EPUB<a class="headerlink" href="#epub" title="Lien permanent vers cette rubrique">#</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>backend<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make epub &amp;&amp; cp /home/app/web/docs/build/epub/metark.epub /home/app/web/docs/source/_static/epub&quot;</span>
</pre></div>
</div>
</section>
<section id="html">
<h3>3- HTML<a class="headerlink" href="#html" title="Lien permanent vers cette rubrique">#</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>backend<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make html&quot;</span>
</pre></div>
</div>
</section>
<section id="un-script">
<h3>4- Un script<a class="headerlink" href="#un-script" title="Lien permanent vers cette rubrique">#</a></h3>
<p>Ces commandes sont lancées à chaque construction de l’image Docker. Vous pouvez
si vous le souhaitez les lancer lors du développement pour observer les changements.
Nous avons aussi créé un script qui exécute ces 3 commandes :</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>bash<span class="w"> </span>generate_docs.sh
</pre></div>
</div>
</section>
</section>
</section>

        </article>
      </div>
      <footer>
        
        <div class="related-pages">
          
          <a class="prev-page" href="dev_isa.html">
              <svg class="furo-related-icon"><use href="#svg-arrow-right"></use></svg>
              <div class="page-info">
                <div class="context">
                  <span>Previous</span>
                </div>
                
                <div class="title">Application ISA</div>
                
              </div>
            </a>
        </div>
        <div class="bottom-of-page">
          <div class="left-details">
            <div class="copyright">
                Copyright &#169; 2023, IFB
            </div>
            Made with <a href="https://www.sphinx-doc.org/">Sphinx</a> and <a class="muted-link" href="https://pradyunsg.me">@pradyunsg</a>'s
            
            <a href="https://github.com/pradyunsg/furo">Furo</a>
            
          </div>
          <div class="right-details">
            
          </div>
        </div>
        
      </footer>
    </div>
    <aside class="toc-drawer">
      
      
      <div class="toc-sticky toc-scroll">
        <div class="toc-title-container">
          <span class="toc-title">
            On this page
          </span>
        </div>
        <div class="toc-tree-container">
          <div class="toc-tree">
            <ul>
<li><a class="reference internal" href="#">Gestion de la documentation</a><ul>
<li><a class="reference internal" href="#la-page-de-configuration">La page de configuration</a></li>
<li><a class="reference internal" href="#la-page-d-index">La page d’index</a></li>
<li><a class="reference internal" href="#les-pages-de-documentation">Les pages de documentation</a></li>
<li><a class="reference internal" href="#generer-les-pages-html">Générer les pages HTML</a><ul>
<li><a class="reference internal" href="#pdf">1 - PDF</a></li>
<li><a class="reference internal" href="#epub">2 - EPUB</a></li>
<li><a class="reference internal" href="#html">3- HTML</a></li>
<li><a class="reference internal" href="#un-script">4- Un script</a></li>
</ul>
</li>
</ul>
</li>
</ul>

          </div>
        </div>
      </div>
      
      
    </aside>
  </div>
</div><script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    <script src="_static/scripts/furo.js"></script>
    <script src="_static/translations.js"></script>
    </body>
</html>